%define upstream_name    Daemon-Daemonize
%define upstream_version 0.0052

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    An easy-to-use daemon(izing) toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Daemon/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Daemon::Daemonize is a toolkit for daemonizing processes and checking up on
them. It takes inspiration from the
http://www.clapper.org/software/daemonize/ manpage, the MooseX::Daemon
manpage, the Net::Server::Daemon manpage

A note about the 'close' option
    If you're having trouble with IPC in a daemon, try closing only STD*
    instead of everything:

        daemonize( ..., close => std, ... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.5.200-11.mga9
+ Revision: 1802778
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.200-10.mga8
+ Revision: 1493634
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.200-9.mga7
+ Revision: 1266825
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.5.200-8.mga6
+ Revision: 1024776
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.5.200-7.mga6
+ Revision: 949484
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.5.200-6.mga5
+ Revision: 789793
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.5.200-5.mga5
+ Revision: 742593
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.200-4.mga5
+ Revision: 684163
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.200-3.mga4
+ Revision: 510471
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.200-2.mga3
+ Revision: 365242
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 0.5.200-1.mga3
+ Revision: 309774
- imported package perl-Daemon-Daemonize


* Wed Oct 24 2012 cpan2dist 0.0052-1mga
- initial mageia release, generated with cpan2dist
